Subject: [Tsvwg] What does 7.2.4 M2 from SCTP imp guide says.

From: Sasha Ruditsky <[email-masked]>
Date: Thu, 16 May 2002 11:18:45 -0400

Hi 

==========================================
 M2) Each time a SACK arrives reporting 'Stray DATA chunk(s)' record
       the highest TSN reported as newly acknowledged, call this
       value 'HighestTSNinSack'. A newly acknowledged DATA chunk is one
       not previously acknowledged in a SACK.

       When the SCTP sender of data receives a SACK chunk that
       acknowledges, for the first time, the receipt of a DATA chunk,
       all the still unacknowledged DATA chunks whose TSN is older than
       that newly acknowledged DATA chunk, are qualified as
       'Stray DATA chunks'.

==========================================

Let say we get following SACKs

2 (5-5) <-----
2 (4-4) <----- (received 4,reneged 5)

The second SACK acks 4 for the first time and it is the highest TSN in this
Sack.
So my question is 'HighestTSNinSack' now equal 5 or 4 and should
TSN.Missing.Report
be incremented for 3 and/or for 5 on receipt of the second SACK.

Sasha

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: [email-masked]
Date: Thu, 16 May 2002 18:25:08 +0300

Hi Sasha!

	See my comment below...

> -----Original Message-----
> From: ext Sasha Ruditsky [mailto:[email-masked]]
> Sent: 16. May 2002 18:19
> To: [email-masked]
> Subject: [Tsvwg] What does 7.2.4 M2 from SCTP imp guide says.
> 
> 
> Hi 
> 

	HighestTSNisSack is 4, and you increment the counter for 3... No matter if 5 was reneged or not, 4 would be the highest TSN newly acknowledged...

	However, if you take a look to RFC 2960, section 6.2.1, D), iii), it tells you that you should fast retransmit the reneged TSN...

	I hope this helps!

	BR Iván Arias Rodríguez

---

From: Sasha Ruditsky <[email-masked]>
Date: Thu, 16 May 2002 12:09:16 -0400

Hi Ivan 

And just to make sure I understand this correctly

If

 2 (6-6)  <-----
 2 (4-4) (6-6) <----- 

then for second SACK HighestTSNisSack=4 and TSN.Missing.Report should be
incremented for 3 but not to 5.

Is this correct?

Sasha

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Thursday, May 16, 2002 11:25 AM
To: [email-masked]; [email-masked]
Subject: RE: [Tsvwg] What does 7.2.4 M2 from SCTP imp guide says.

	Hi Sasha!

	See my comment below...

> Subject: [Tsvwg] What does 7.2.4 M2 from SCTP imp guide says.

	HighestTSNisSack is 4, and you increment the counter for 3... No
matter if 5 was reneged or not, 4 would be the highest TSN newly
acknowledged...

	However, if you take a look to RFC 2960, section 6.2.1, D), iii), it
tells you that you should fast retransmit the reneged TSN...

	I hope this helps!

	BR Iván Arias Rodríguez

---

From: [email-masked]
Date: Thu, 16 May 2002 19:11:53 +0300

> And just to make sure I understand this correctly

	Exactly!!

	BR Iván Arias Rodríguez